# Created by pyp2rpm-3.3.8
%global pypi_name osc-lib

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 3
Summary:        OpenStackClient Library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/osc-lib/latest/
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(cliff)
BuildRequires:  python3dist(keystoneauth1)
BuildRequires:  python3dist(openstacksdk)
BuildRequires:  python3dist(oslo-i18n)
BuildRequires:  python3dist(oslo-utils)
BuildRequires:  python3dist(simplejson)
BuildRequires:  python3dist(stevedore)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
# tests
BuildRequires:  python3dist(osprofiler)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(stestr)
BuildRequires:  python3dist(requests-mock)
BuildRequires:  python3dist(oslotest)
BuildRequires:  python3dist(coverage)

%description
osc-libOpenStackClient (aka OSC) is a command-line client for OpenStack.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
osc-libOpenStackClient (aka OSC) is a command-line client for OpenStack.

%prep
%autosetup -n %{pypi_name}-%{version}

# relax reqs
sed -i -e '/pbr/s/!=/>/g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files osc_lib

%check
PYTHON=%{__python3} stestr run --exclude-regex "(.*test_add_tag_option_to_parser_for_unset|.*test_add_tag_filtering_option_to_parser|.*test_add_tag_option_to_parser_for_create|.*test_add_tag_option_to_parser_for_set)"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.0.1-3.mga10
+ Revision: 2241836
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.0.1-2.mga10
+ Revision: 2158449
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 3.0.1-1.mga10
+ Revision: 2077676
- new version 3.0.1

* Sun Feb 25 2024 daviddavid <daviddavid> 2.6.2-2.mga10
+ Revision: 2044105
- rebuild for py3.12

* Sat Jan 07 2023 wally <wally> 2.6.2-1.mga9
+ Revision: 1931044
- new version 2.6.2

* Sat Dec 24 2022 papoteur <papoteur> 2.6.1-2.mga9
+ Revision: 1926438
- fix option in tests (https://github.com/mtreinish/stestr/pull/297)
  black-regex replaced with exclude-regex

* Mon Aug 22 2022 wally <wally> 2.6.1-1.mga9
+ Revision: 1879233
- imported package python-osc-lib

